1
0
Fork 0

Github-Actions: switched from gcc to msvc on windows because of false-positive AV checks

Cleaned up Makefile and source tree from unused files, moved all document in docs/
This commit is contained in:
ec- 2021-01-16 14:04:57 +02:00
parent 54c1af6dd1
commit 6e308a22aa
36 changed files with 97 additions and 3074 deletions

View File

@ -5,49 +5,94 @@ on:
paths-ignore:
- '**.md'
- '*.txt'
- '.gitignore'
- 'docs/*'
push:
branches:
- master
paths-ignore:
- '**.md'
- '*.txt'
- '.gitignore'
- 'docs/*'
release:
types: [published]
workflow_dispatch:
jobs:
windows-x86:
# windows_msys:
# name: ${{ matrix.config }} Windows ${{ matrix.arch }}
# runs-on: windows-latest
# strategy:
# fail-fast: false
# matrix:
# arch: [x86, x86_64]
# cc: [gcc]
# config: [Release]
# include:
# - arch: x86
# msystem: MINGW32
# prefix: mingw-w64-i686
# - arch: x86_64
# msystem: MINGW64
# prefix: mingw-w64-x86_64
# - config: Release
# rule: install
#
# defaults:
# run:
# shell: msys2 {0}
#
# steps:
# - uses: msys2/setup-msys2@v2
# with:
# install: ${{ matrix.prefix }}-binutils ${{ matrix.prefix }}-make ${{ matrix.prefix }}-${{ matrix.cc }}
# msystem: ${{ matrix.msystem }}
# path-type: minimal
# release: false
# update: false
#
# - uses: actions/checkout@v2
# with:
# submodules: recursive
#
# - name: Build
# run: |
# make ${{ matrix.rule }} -j 8 ARCH=${{ matrix.arch }} CC=${{ matrix.cc }} DESTDIR=bin USE_RENDERER_DLOPEN=0 USE_SDL=0 USE_VULKAN=1 CNAME=quake3e-vulkan BUILD_SERVER=0
# make clean ARCH=${{ matrix.arch }}
# make ${{ matrix.rule }} -j 8 ARCH=${{ matrix.arch }} CC=${{ matrix.cc }} DESTDIR=bin USE_RENDERER_DLOPEN=0 USE_SDL=0 USE_VULKAN_API=0
#
# - uses: actions/upload-artifact@v2
# if: matrix.cc == 'gcc' && matrix.config == 'Release'
# with:
# name: windows-${{ matrix.arch }}
# path: bin
# if-no-files-found: error
# retention-days: 5
windows-msvc:
name: ${{ matrix.config }} Windows ${{ matrix.arch }}
runs-on: windows-latest
strategy:
fail-fast: false
matrix:
arch: [x86, x86_64]
cc: [gcc]
arch: [arm64, x86, x64]
config: [Release]
include:
- arch: x86
msystem: MINGW32
prefix: mingw-w64-i686
- arch: x86_64
msystem: MINGW64
prefix: mingw-w64-x86_64
- config: Release
rule: install
- arch: arm64
platform: ARM64
suffix: .arm64
defaults:
run:
shell: msys2 {0}
- arch: x86
platform: Win32
- arch: x64
platform: x64
suffix: .x64
steps:
- uses: msys2/setup-msys2@v2
with:
install: ${{ matrix.prefix }}-binutils ${{ matrix.prefix }}-make ${{ matrix.prefix }}-${{ matrix.cc }}
msystem: ${{ matrix.msystem }}
path-type: minimal
release: false
update: false
- uses: microsoft/setup-msbuild@v1.0.2
- uses: actions/checkout@v2
with:
@ -55,19 +100,34 @@ jobs:
- name: Build
run: |
make ${{ matrix.rule }} -j 8 ARCH=${{ matrix.arch }} CC=${{ matrix.cc }} DESTDIR=bin USE_RENDERER_DLOPEN=0 USE_SDL=0 USE_VULKAN=1 CNAME=quake3e-vulkan BUILD_SERVER=0
make clean ARCH=${{ matrix.arch }}
make ${{ matrix.rule }} -j 8 ARCH=${{ matrix.arch }} CC=${{ matrix.cc }} DESTDIR=bin USE_RENDERER_DLOPEN=0 USE_SDL=0 USE_VULKAN_API=0
mkdir bin
msbuild code\win32\msvc2017\quake3e-ded.vcxproj -m -p:TargetName=quake3e.ded,Configuration=${{ matrix.config }},Platform=${{ matrix.platform }}
copy code\win32\msvc2017\output\quake3e.ded.exe bin\quake3e.ded${{ matrix.suffix }}.exe
msbuild code\win32\msvc2017\renderer.vcxproj -m -p:Configuration=${{ matrix.config }},Platform=${{ matrix.platform }}
msbuild code\win32\msvc2017\quake3e.vcxproj -m -p:TargetName=quake3e,Configuration=${{ matrix.config }},Platform=${{ matrix.platform }}
copy code\win32\msvc2017\output\quake3e.exe bin\quake3e${{ matrix.suffix }}.exe
msbuild code\win32\msvc2017\renderer.vcxproj -t:Clean -m -p:Configuration=${{ matrix.config }},Platform=${{ matrix.platform }}
msbuild code\win32\msvc2017\quake3e.vcxproj -t:Clean -m -p:TargetName=quake3e,Configuration=${{ matrix.config }},Platform=${{ matrix.platform }}
msbuild code\win32\msvc2017\renderervk.vcxproj -m -p:Configuration=${{ matrix.config }},Platform=${{ matrix.platform }}
msbuild code\win32\msvc2017\quake3e.vcxproj -m -p:TargetName=quake3e,Configuration=${{ matrix.config }},Platform=${{ matrix.platform }}
copy code\win32\msvc2017\output\quake3e.exe bin\quake3e-vulkan${{ matrix.suffix }}.exe
- uses: actions/upload-artifact@v2
if: matrix.cc == 'gcc' && matrix.config == 'Release'
if: ${{ matrix.config == 'Release' }}
with:
name: windows-${{ matrix.arch }}
path: bin
if-no-files-found: error
retention-days: 5
ubuntu:
ubuntu-x86:
name: ${{ matrix.config }} Ubuntu ${{ matrix.arch }}
runs-on: ubuntu-latest
strategy:
@ -151,7 +211,7 @@ jobs:
if-no-files-found: error
retention-days: 5
macos:
macos-x86:
name: ${{ matrix.config }} macOS x86_64
runs-on: macos-latest
strategy:
@ -188,7 +248,7 @@ jobs:
create-testing:
if: ${{ github.ref == 'refs/heads/master' && github.event_name == 'push' }}
needs: [ubuntu, ubuntu-arm, macos, windows-x86]
needs: [windows-msvc, ubuntu-x86, ubuntu-arm, macos-x86]
runs-on: ubuntu-latest
steps:
- name: Download Artifacts
@ -200,8 +260,9 @@ jobs:
7z a -r quake3e-linux-armv7.zip ./linux-armv7/*
7z a -r quake3e-linux-x86.zip ./linux-x86/*
7z a -r quake3e-linux-x86_64.zip ./linux-x86_64/*
7z a -r quake3e-windows-arm64.zip ./windows-arm64/*
7z a -r quake3e-windows-x86.zip ./windows-x86/*
7z a -r quake3e-windows-x86_64.zip ./windows-x86_64/*
7z a -r quake3e-windows-x64.zip ./windows-x64/*
7z a -r quake3e-macos-x86_64.zip ./macos-x86_64/*
- name: Create latest build
@ -216,7 +277,7 @@ jobs:
update-release:
if: ${{ github.event_name == 'release' }}
needs: [windows-x86, ubuntu, ubuntu-arm, macos]
needs: [windows-msvc, ubuntu-x86, ubuntu-arm, macos-x86]
runs-on: ubuntu-latest
strategy:
@ -234,11 +295,14 @@ jobs:
- artifact_dir: linux-x86_64
artifact_name: quake3e-linux-x86_64.zip
- artifact_dir: windows-arm64
artifact_name: quake3e-windows-arm64.zip
- artifact_dir: windows-x86
artifact_name: quake3e-windows-x86.zip
- artifact_dir: windows-x86_64
artifact_name: quake3e-windows-x86_64.zip
- artifact_dir: windows-x64
artifact_name: quake3e-windows-x64.zip
- artifact_dir: macos-x86_64
artifact_name: quake3e-macos-x86_64.zip

View File

@ -174,7 +174,6 @@ W32DIR=$(MOUNT_DIR)/win32
BLIBDIR=$(MOUNT_DIR)/botlib
UIDIR=$(MOUNT_DIR)/ui
JPDIR=$(MOUNT_DIR)/libjpeg
LOKISETUPDIR=$(UDIR)/setup
bin_path=$(shell which $(1) 2> /dev/null)
@ -1226,7 +1225,6 @@ ifneq ($(BUILD_SERVER),0)
endif
clean: clean-debug clean-release
@$(MAKE) -C $(LOKISETUPDIR) clean
clean2:
@echo "CLEAN $(B)"
@ -1244,21 +1242,6 @@ clean-release:
distclean: clean
@rm -rf $(BUILD_DIR)
installer: release
@$(MAKE) VERSION=$(VERSION) -C $(LOKISETUPDIR) V=$(V)
dist:
rm -rf quake3-$(SVN_VERSION)
svn export . quake3-$(SVN_VERSION)
tar --owner=root --group=root --force-local -cjf quake3-$(SVN_VERSION).tar.bz2 quake3-$(SVN_VERSION)
rm -rf quake3-$(SVN_VERSION)
dist2:
rm -rf quake3-1.32e-src
svn export . quake3-1.32e-src
zip -9 -r quake3-1.32e-src.zip quake3-1.32e-src/*
rm -rf quake3-1.32e-src
#############################################################################
# DEPENDENCIES
#############################################################################
@ -1270,5 +1253,5 @@ D_FILES=$(shell find . -name '*.d')
#endif
.PHONY: all clean clean2 clean-debug clean-release copyfiles \
debug default dist distclean installer makedirs release \
debug default dist distclean makedirs release \
targets tools toolsclean

View File

@ -1,41 +0,0 @@
/*
===========================================================================
Copyright (C) 1999-2005 Id Software, Inc.
This file is part of Quake III Arena source code.
Quake III Arena source code is free software; you can redistribute it
and/or modify it under the terms of the GNU General Public License as
published by the Free Software Foundation; either version 2 of the License,
or (at your option) any later version.
Quake III Arena source code is distributed in the hope that it will be
useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.
You should have received a copy of the GNU General Public License
along with Quake III Arena source code; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
===========================================================================
*/
#ifndef __ASM_I386__
#define __ASM_I386__
#include "../qcommon/q_platform.h"
#if defined(__MINGW32__) || defined(MACOS_X)
#undef ELF
#endif
#ifdef __ELF__
.section .note.GNU-stack,"",@progbits
#endif
#ifdef ELF
#define C(label) label
#else
#define C(label) _##label
#endif
#endif

View File

@ -1,15 +0,0 @@
VERSION=1.34
RELEASE=svn
all:
VERSION=$(VERSION) RELEASE=$(RELEASE) ./doit
sign:
for i in *.run; do \
gpg -bao $$i.asc $$i; \
done
clean:
rm -rf *.run image
.PHONY: all sign clean

View File

@ -1,135 +0,0 @@
#!/bin/bash
# Source directory
MOUNT_DIR="../../.."
# Solaris stuff
PLATFORM=`uname|sed -e s/_.*//|tr '[:upper:]' '[:lower:]'`
if [ "X`uname -m`" = "Xi86pc" ]; then
ARCH=i386
else
ARCH=sparc
fi
# Packages
PKG_SOLARIS_NAME=ioquake3
PKG_DATA_NAME=ioquake3d
BUILD_DATE="`/usr/bin/date '+%Y%m%d%H%M%S'`"
SVNVERSION=/usr/local/bin/svnversion
if [ -x /usr/local/bin/svnversion ]; then
SVN_BANNER=`/usr/local/bin/svnversion ${MOUNT_DIR}|sed -e 's/S$//' -e 's/M$//' `
BUILD_VERSION="1.34-r${SVN_BANNER}"
else
BUILD_VERSION="1.34-rSVN"
fi
PKG_VERSION="`date '+%Y%m%d%H%M'`"
PKG_MAINT_ID="quake@cojot.name"
SOLARIS_PKGFILE="${PKG_SOLARIS_NAME}-${BUILD_VERSION}-${PKG_VERSION}-${ARCH}.pkg"
DATA_PKGFILE="${PKG_DATA_NAME}-${BUILD_VERSION}-${PKG_VERSION}-${ARCH}.pkg"
# build directories
BUILD_DIR="${MOUNT_DIR}/build/release-${PLATFORM}-${ARCH}"
PKG_SRC_DIR="${MOUNT_DIR}/code/unix/setup/pkg/${PKG_SOLARIS_NAME}"
PKG_BUILD_DIR="/tmp/ioquake3-build/${PKG_SOLARIS_NAME}-${BUILD_VERSION}"
PKG_DATA_SRC_DIR="${MOUNT_DIR}/code/unix/setup/pkg/${PKG_DATA_NAME}"
PKG_DATA_BUILD_DIR="/usr/local/src/quake3-data/quake3"
# Tools
RM="/usr/bin/rm"
TOUCH="/usr/bin/touch"
SED="/usr/bin/sed"
CAT="/usr/bin/cat"
NAWK="/usr/bin/nawk"
MKDIR="gmkdir -v -p"
INSTALL_BIN="ginstall -D -m 755"
INSTALL_DATA="ginstall -D -m 644"
PKGPROTO="/usr/bin/pkgproto"
PKGMK="/usr/bin/pkgmk"
PKGTRANS="/usr/bin/pkgtrans"
#############################################################################
# SOLARIS PACKAGE
#############################################################################
if [ -d ${BUILD_DIR} ]; then
if [ ! -d ${BUILD_DIR}/pkg ]; then
${MKDIR} ${BUILD_DIR}/pkg
fi
echo "Building ${BUILD_DIR}/pkg/${SOLARIS_PKGFILE}"
${RM} -f ${BUILD_DIR}/pkg/${SOLARIS_PKGFILE}
${TOUCH} ${BUILD_DIR}/pkg/${SOLARIS_PKGFILE}
${SED} -e "/VERSION=/s/.*/VERSION=${BUILD_VERSION}-${PKG_VERSION}/" \
< ${PKG_SRC_DIR}/pkginfo.template \
> ${PKG_SRC_DIR}/pkginfo
${CAT} ${PKG_SRC_DIR}/prototype.template > ${PKG_SRC_DIR}/prototype
${INSTALL_DATA} ${MOUNT_DIR}/COPYING.txt ${PKG_SRC_DIR}/copyright
for EXEC_READ in README id-readme.txt
do
if [ -f ${MOUNT_DIR}/${EXEC_READ} ]; then
${INSTALL_DATA} ${MOUNT_DIR}/${EXEC_READ} ${PKG_BUILD_DIR}/${EXEC_READ}
fi
done
for EXEC_BIN in ioq3ded ioquake3-smp ioquake3
do
if [ -f ${BUILD_DIR}/${EXEC_BIN}.${ARCH} ]; then
${INSTALL_BIN} ${BUILD_DIR}/${EXEC_BIN}.${ARCH} ${PKG_BUILD_DIR}/${EXEC_BIN}.${ARCH}
fi
done
for EXEC_SH in ioq3ded.sh ioquake3.sh
do
if [ -f ${MOUNT_DIR}/code/unix/setup/pkg/${EXEC_SH} ]; then
${INSTALL_BIN} ${MOUNT_DIR}/code/unix/setup/pkg/${EXEC_SH} ${PKG_BUILD_DIR}/${EXEC_SH}
fi
done
for EXEC_SO in cgamesparc.so qagamesparc.so uisparc.so
do
if [ -f ${BUILD_DIR}/baseq3/${EXEC_SO} ]; then
${INSTALL_BIN} ${BUILD_DIR}/baseq3/${EXEC_SO} ${PKG_BUILD_DIR}/baseq3/${EXEC_SO}
fi
if [ -f ${BUILD_DIR}/missionpack/${EXEC_SO} ]; then
${INSTALL_BIN} ${BUILD_DIR}/missionpack/${EXEC_SO} ${PKG_BUILD_DIR}/missionpack/${EXEC_SO}
fi
done
${PKGPROTO} ${PKG_BUILD_DIR}=quake3 | \
${NAWK} '{ print $1,$2,$3,$4 }' >> ${PKG_SRC_DIR}/prototype
${PKGMK} -o -p "${PKG_MAINT_ID}${BUILD_DATE}" \
-b ${PKG_SRC_DIR} -f ${PKG_SRC_DIR}/prototype \
-d /tmp -a ${ARCH} owner=root group=bin mode=0755
${PKGTRANS} -s /tmp ${BUILD_DIR}/pkg/${SOLARIS_PKGFILE} ${PKG_SOLARIS_NAME}
echo "Building ${BUILD_DIR}/pkg/${DATA_PKGFILE}"
${RM} -f ${BUILD_DIR}/pkg/${DATA_PKGFILE}
${TOUCH} ${BUILD_DIR}/pkg/${DATA_PKGFILE}
${SED} -e "/VERSION=/s/.*/VERSION=${BUILD_VERSION}.${PKG_VERSION}/" \
< ${PKG_DATA_SRC_DIR}/pkginfo.template \
> ${PKG_DATA_SRC_DIR}/pkginfo
${CAT} ${PKG_DATA_SRC_DIR}/prototype.template > ${PKG_DATA_SRC_DIR}/prototype
if [ -d ${MOUNT_DIR}/../webspace/include ]; then
EULA_DIR=${MOUNT_DIR}/../webspace/include
else
if [ -d ${MOUNT_DIR}/../../webspace/include ]; then
EULA_DIR=${MOUNT_DIR}/../../webspace/include
fi
fi
if [ -f ${EULA_DIR}/id_patch_pk3s_Q3A_EULA.txt ]; then
${INSTALL_DATA} ${EULA_DIR}/id_patch_pk3s_Q3A_EULA.txt ${PKG_DATA_SRC_DIR}/copyright
fi
${PKGPROTO} ${PKG_DATA_BUILD_DIR}=quake3 | \
${NAWK} '{ print $1,$2,$3,$4 }' >> ${PKG_DATA_SRC_DIR}/prototype
${PKGMK} -o -p "${PKG_MAINT_ID}${BUILD_DATE}" \
-b ${PKG_DATA_SRC_DIR} -f ${PKG_DATA_SRC_DIR}/prototype \
-d /tmp -a ${ARCH} owner=root group=bin mode=0755
${PKGTRANS} -s /tmp ${BUILD_DIR}/pkg/${DATA_PKGFILE} ${PKG_DATA_NAME}
else
echo "Directory ${BUILD_DIR} not found!"
exit 1
fi

View File

@ -1,105 +0,0 @@
#!/bin/bash
: ${MAKESELF:=/usr/share/loki_setup/makeself}
: ${SETUPIMAGE:=/usr/share/loki_setup/image}
: ${VERSION:=0.0_`date +%Y%m%d%H%M`}
: ${RELEASE:=0}
set -e
set -x
arch=`uname -m`
rm -rf image
mkdir image
### loki-setup files
cp -a $SETUPIMAGE/{setup.data,setup.sh} image/
### splash
rm -f image/setup.data/splash.xpm
[ -e splash.xpm ] && cp splash.xpm image/setup.data/splash.xpm
rm -f image/quake3.png
cp ../quake3.png image/quake3.png
### binaries
src="../../../../../build"
mkdir image/tmp
pushd image/tmp
mkdir baseq3 demoq3 missionpack
# 32 bit binaries
install -m 755 $src/release-linux-i386/ioquake3.i386 ioquake3.i386
install -m 755 $src/release-linux-i386/ioq3ded.i386 ioq3ded.i386
install -m 644 $src/release-linux-i386/baseq3/*.so baseq3
install -m 644 $src/release-linux-i386/missionpack/*.so missionpack
pushd demoq3
ln -s ../baseq3/*.so .
popd
popd
tar --owner=root --group=root -C ./image/tmp -cf ./image/ioquake3.i386.tar .
rm -rf ./image/tmp
mkdir image/tmp
pushd image/tmp
mkdir baseq3 demoq3 missionpack
# 64 bit binaries
install -m 755 $src/release-linux-x86_64/ioquake3.x86_64 ioquake3.x86_64
install -m 755 $src/release-linux-x86_64/ioq3ded.x86_64 ioq3ded.x86_64
install -m 644 $src/release-linux-x86_64/baseq3/*.so baseq3
install -m 644 $src/release-linux-x86_64/missionpack/*.so missionpack
pushd demoq3
ln -s ../baseq3/*.so .
popd
popd
tar --owner=root --group=root -C ./image/tmp -cf ./image/ioquake3.x86_64.tar .
rm -rf image/tmp
mkdir image/tmp
pushd image/tmp
mkdir baseq3 demoq3 missionpack
# ppc binaries
install -m 755 $src/release-linux-ppc/ioquake3.ppc ioquake3.ppc
install -m 755 $src/release-linux-ppc/ioq3ded.ppc ioq3ded.ppc
install -m 644 $src/release-linux-ppc/baseq3/*.so baseq3
install -m 644 $src/release-linux-ppc/missionpack/*.so missionpack
pushd demoq3
ln -s ../baseq3/*.so .
popd
popd
tar --owner=root --group=root -C ./image/tmp -cf ./image/ioquake3.ppc.tar .
rm -rf image/tmp
# patch pk3 files
install -m 644 ./idpatchpk3s.tar image/idpatchpk3s.tar
install -m 644 ./idtapatchpk3s.tar image/idtapatchpk3s.tar
### setup.xml
sed 's/@VERSION@/'$VERSION'/g' < setup.xml > image/setup.data/setup.xml
### uninstall script
install -m 755 ./preuninstall.sh image/preuninstall.sh
### start script
mkdir -p image/bin/Linux/x86
mkdir -p image/bin/Linux/x86_64
mkdir -p image/bin/Linux/ppc
install -m 755 ioquake3.sh image/bin/Linux/x86/ioquake3
install -m 755 ioq3demo.sh image/bin/Linux/x86/ioq3demo
install -m 755 ioquake3.sh image/bin/Linux/x86_64/ioquake3
install -m 755 ioq3demo.sh image/bin/Linux/x86_64/ioq3demo
install -m 755 ioquake3.sh image/bin/Linux/ppc/ioquake3
install -m 755 ioq3demo.sh image/bin/Linux/ppc/ioq3demo
### README, COPYING and EULA
install -m 644 ../../../README image/README
install -m 644 ../../../COPYING.txt image/COPYING
install -m 644 ./id_patch_pk3s_Q3A_EULA.txt image/id_patch_pk3s_Q3A_EULA.txt
### makeself installer
$MAKESELF/makeself.sh image ioquake3-$VERSION-$RELEASE.run "ioquake3 $VERSION-$RELEASE" ./setup.sh

View File

@ -1,50 +0,0 @@
#!/bin/sh
readlink() {
local path=$1 ll
if [ -L "$path" ]; then
ll="$(LC_ALL=C ls -l "$path" 2> /dev/null)" &&
echo "${ll/* -> }"
else
return 1
fi
}
script=$0
count=0
while [ -L "$script" ]
do
script=$(readlink "$script")
count=`expr $count + 1`
if [ $count -gt 100 ]
then
echo "Too many symbolic links"
exit 1
fi
done
cd "`dirname $script`"
lib=lib
test -e lib64 && lib=lib64
if test "x$LD_LIBRARY_PATH" = x; then
LD_LIBRARY_PATH="`pwd`/$lib"
else
LD_LIBRARY_PATH="`pwd`/$lib:$LD_LIBRARY_PATH"
fi
export LD_LIBRARY_PATH
archs=`uname -m`
case "$archs" in
i?86) archs=i386 ;;
x86_64) archs="x86_64 i386" ;;
ppc64) archs="ppc64 ppc" ;;
esac
for arch in $archs; do
test -x ./ioquake3.$arch || continue
exec ./ioquake3.$arch +set sv_pure 0 +set vm_cgame 0 +set vm_game 0 +set vm_ui 0 +set fs_game demoq3 "$@"
done
echo "could not execute ioquake3" >&2

View File

@ -1,50 +0,0 @@
#!/bin/sh
readlink() {
local path=$1 ll
if [ -L "$path" ]; then
ll="$(LC_ALL=C ls -l "$path" 2> /dev/null)" &&
echo "${ll##* -> }"
else
return 1
fi
}
script=$0
count=0
while [ -L "$script" ]
do
script=$(readlink "$script")
count=`expr $count + 1`
if [ $count -gt 100 ]
then
echo "Too many symbolic links"
exit 1
fi
done
cd "`dirname $script`"
lib=lib
test -e lib64 && lib=lib64
if test "x$LD_LIBRARY_PATH" = x; then
LD_LIBRARY_PATH="`pwd`/$lib"
else
LD_LIBRARY_PATH="`pwd`/$lib:$LD_LIBRARY_PATH"
fi
export LD_LIBRARY_PATH
archs=`uname -m`
case "$archs" in
i?86) archs=i386 ;;
x86_64) archs="x86_64 i386" ;;
ppc64) archs="ppc64 ppc" ;;
esac
for arch in $archs; do
test -x ./ioquake3.$arch || continue
exec ./ioquake3.$arch "$@"
done
echo "could not execute ioquake3" >&2

View File

@ -1,42 +0,0 @@
#!/bin/bash
# Rev: $Id: ioq3ded.sh,v 1.9 2006/01/18 13:47:42 raistlin Exp raistlin $
# Needed to make symlinks/shortcuts work.
# the binaries must run with correct working directory
#
IOQ3_DIR=/usr/local/share/games/quake3
COMPILE_PLATFORM=`uname|sed -e s/_.*//|tr A-Z a-z`
COMPILE_ARCH=`uname -p | sed -e s/i.86/i386/`
EXEC_REL=release
#EXEC_BIN=ioquake3.${COMPILE_ARCH}
#EXEC_BIN=ioquake3-smp.${COMPILE_ARCH}
EXEC_BIN=ioq3ded.${COMPILE_ARCH}
EXEC_FLAGS="+set fs_cdpath ${IOQ3_DIR} +set vm_game 1 +set vm_cgame 1 +set vm_ui 1 +set sv_pure 1 +set ttycon 0"
EXEC_DIR_LIST=${IOQ3_DIR}
for d in ${EXEC_DIR_LIST}
do
if [ -d $d ]; then
EXEC_DIR=${d}
break
fi
done
if [ "X${EXEC_DIR}" != "X" ]; then
if [ ! -x ${EXEC_DIR}/${EXEC_BIN} ]; then
echo "Executable ${EXEC_DIR}/${EXEC_BIN} not found!" ; exit 1
fi
cd ${IOQ3_DIR} && \
${EXEC_DIR}/${EXEC_BIN} ${EXEC_FLAGS} $*
exit $?
else
echo "No ioq3 binaries found!"
exit 1
fi

View File

@ -1,41 +0,0 @@
#!/bin/bash
# Rev: $Id: ioquake3.sh,v 1.11 2006/01/18 13:47:42 raistlin Exp raistlin $
# Needed to make symlinks/shortcuts work.
# the binaries must run with correct working directory
IOQ3_DIR=/usr/local/share/games/quake3
COMPILE_PLATFORM=`uname|sed -e s/_.*//|tr A-Z a-z`
COMPILE_ARCH=`uname -p | sed -e s/i.86/i386/`
EXEC_REL=release
EXEC_BIN=ioquake3.${COMPILE_ARCH}
#EXEC_BIN=ioquake3-smp.${COMPILE_ARCH}
#EXEC_BIN=ioq3ded.${COMPILE_ARCH}
EXEC_FLAGS="+set fs_cdpath ${IOQ3_DIR} +set vm_game 1 +set vm_cgame 1 +set vm_ui 1 +set sv_pure 1 +set ttycon 0"
EXEC_DIR_LIST=${IOQ3_DIR}
for d in ${EXEC_DIR_LIST}
do
if [ -d $d ]; then
EXEC_DIR=${d}
break
fi
done
if [ "X${EXEC_DIR}" != "X" ]; then
if [ ! -x ${EXEC_DIR}/${EXEC_BIN} ]; then
echo "Executable ${EXEC_DIR}/${EXEC_BIN} not found!" ; exit 1
fi
cd ${IOQ3_DIR} && \
${EXEC_DIR}/${EXEC_BIN} ${EXEC_FLAGS} $*
exit $?
else
echo "No ioq3 binaries found!"
exit 1
fi

View File

@ -1,3 +0,0 @@
P SUNWxilrl XIL Runtime Environment
P SFWsdl SDL - Simple DirectMedia Layer library
P ioquake3d Icculus.Org Quake3 game data files for Solaris 10 (X11,GLX,SDL)

View File

@ -1,12 +0,0 @@
CLASSES=none
BASEDIR=/usr/local/share/games
TZ=PST
PATH=/sbin:/usr/sbin:/usr/bin:/usr/sadm/install/bin
PKG=ioquake3
NAME=ioquake3 1.34 for Solaris 10 (X11,GLX,SDL)
VERSION=
CATEGORY=application,graphics,opengl
DESC=Icculus.Org Quake3 1.34 for Solaris 10 (http://www.ioquake3.org/)
VENDOR=http://www.ioquake3.org/
EMAIL=quake@cojot.name
PKGSAV=/var/sadm/pkg/ioquake3/save

View File

@ -1,21 +0,0 @@
#!/bin/sh
#
# @(#)postinstall $Id: postinstall,v 1.3 2006/01/21 12:54:52 coyote Exp $
#
# postinstall script for quake3
quake3_dir=$BASEDIR/quake3
dest_dir=${PKG_INSTALL_ROOT}/usr/local/bin
if [ -d ${dest_dir} ]; then
for inst_script in ioq3ded.sh ioquake3.sh
do
dest_script=${dest_dir}/${inst_script}
if [ ! -h ${dest_script} ]; then
ln -s ${quake3_dir}/${inst_script} ${dest_script}
fi
done
fi
exit 0

View File

@ -1,21 +0,0 @@
#!/bin/sh
#
# @(#)postremove $Id: postremove,v 1.3 2006/01/21 12:54:52 coyote Exp $
#
# postremove script for quake3
quake3_dir=$BASEDIR
dest_dir=${PKG_INSTALL_ROOT}/usr/local/bin
if [ -d ${dest_dir} ]; then
for inst_script in ioq3ded.sh ioquake3.sh
do
dest_script=${dest_dir}/${inst_script}
if [ -h ${dest_script} ]; then
rm -f ${dest_script}
fi
done
fi
exit 0

View File

@ -1,10 +0,0 @@
#!/bin/sh
#
# @(#)postinstall $Id: preinstall,v 1.2 2006/01/25 13:22:56 coyote Exp $
#
# postinstall script for quake3
quake3_dir=$BASEDIR
exit 0

View File

@ -1,10 +0,0 @@
#!/bin/sh
#
# @(#)postinstall $Id: preremove,v 1.2 2006/01/25 13:22:56 coyote Exp $
#
# postinstall script for quake3
quake3_dir=$BASEDIR
exit 0

View File

@ -1,8 +0,0 @@
!default 0755 root bin
i pkginfo
i copyright
i depend
i postinstall
i postremove
i preinstall
i preremove

View File

@ -1 +0,0 @@
/usr/local/share 20000 15

View File

@ -1,2 +0,0 @@
P SUNWxilrl XIL Runtime Environment
P SFWsdl SDL - Simple DirectMedia Layer library

View File

@ -1,12 +0,0 @@
CLASSES=none
BASEDIR=/usr/local/share/games
TZ=PST
PATH=/sbin:/usr/sbin:/usr/bin:/usr/sadm/install/bin
PKG=ioquake3d
NAME=ioquake3 game data files for Solaris 10 (X11,GLX,SDL)
VERSION=
CATEGORY=application,graphics,opengl
DESC=ioquake3 game data files for Solaris 10 (http://www.ioquake3.org/)
VENDOR=http://www.ioquake3.org/
EMAIL=quake@cojot.name
PKGSAV=/var/sadm/pkg/ioquake3d/save

View File

@ -1,10 +0,0 @@
#!/bin/sh
#
# @(#)postinstall $Id: postinstall,v 1.2 2006/01/25 13:22:56 coyote Exp $
#
# postinstall script for quake3
quake3_dir=$BASEDIR
exit 0

View File

@ -1,10 +0,0 @@
#!/bin/sh
#
# @(#)postinstall $Id: postremove,v 1.2 2006/01/25 13:22:56 coyote Exp $
#
# postinstall script for quake3
quake3_dir=$BASEDIR
exit 0

View File

@ -1,10 +0,0 @@
#!/bin/sh
#
# @(#)postinstall $Id: preinstall,v 1.2 2006/01/25 13:22:56 coyote Exp $
#
# postinstall script for quake3
quake3_dir=$BASEDIR
exit 0

View File

@ -1,10 +0,0 @@
#!/bin/sh
#
# @(#)postinstall $Id: preremove,v 1.2 2006/01/25 13:22:56 coyote Exp $
#
# postinstall script for quake3
quake3_dir=$BASEDIR
exit 0

View File

@ -1,8 +0,0 @@
!default 0755 root bin
i pkginfo
i copyright
i depend
i postinstall
i postremove
i preinstall
i preremove

View File

@ -1 +0,0 @@
/usr/local/share 50000 100

View File

@ -1,3 +0,0 @@
#!/bin/sh
rm -f COPYING
rmdir --ignore-fail-on-non-empty demoq3 missionpack >& /dev/null

View File

@ -1,104 +0,0 @@
<?xml version="1.0" standalone="yes"?>
<install product="ioquake3"
desc="ioquake3"
version="@VERSION@"
update_url="http://www.ioquake3.org/updates.txt"
promptbinaries="yes"
reinstall="yes"
nopromptoverwrite="yes"
preuninstall="preuninstall.sh">
<readme>
README
</readme>
<eula>
id_patch_pk3s_Q3A_EULA.txt
</eula>
<component name="Quake3 Arena gamedata" version="@VERSION@" default="yes">
<option size="457M">
<help>
If you don't select this, you must make sure to copy pak0.pk3 to the baseq3 directory manually.
</help>
Copy Quake3 Arena CD data
<files cdromid="CD 1" path="baseq3" size="457M">
Quake3/baseq3/pak0.pk3
</files>
</option>
<option required="true" install="true" show="false">
This needs to be fixed properly.
<files path="baseq3">
idpatchpk3s.tar
</files>
<files path="">
COPYING
</files>
</option>
</component>
<component name="Quake3 Team Arena gamedata" version="@VERSION@">
<option>
Install Team Arena components
<files path="missionpack">
idtapatchpk3s.tar
</files>
<option size="457M">
<help>
If you don't select this, you must make sure to copy the TA pak0.pk3 to the missionpack directory manually.
</help>
Copy Quake3 Team Arena CD data
<files cdromid="CD 2" path="missionpack" size="457M">
Setup/missionpack/pak0.pk3
</files>
</option>
</option>
</component>
<component arch="x86_64" name="x86_64" version="@VERSION@">
<option install="true">
x86_64 binaries
<binary libc="any" symlink="ioquake3" icon="quake3.png"
menu="." name="ioquake3">
ioquake3
</binary>
<files>
ioquake3.x86_64.tar
quake3.png
</files>
</option>
</component>
<component if="|(x86,x86_64)" name="i386" version="@VERSION@">
<option install="true">
x86 (32 bit) binaries
<binary libc="any" symlink="ioquake3" icon="quake3.png"
menu="." name="ioquake3">
ioquake3
</binary>
<files>
ioquake3.i386.tar
quake3.png
</files>
</option>
</component>
<component arch="ppc" name="ppc" version="@VERSION@">
<option install="true">
ppc 32 bit binaries
<binary libc="any" symlink="ioquake3" icon="quake3.png"
menu="." name="ioquake3">
ioquake3
</binary>
<files>
ioquake3.ppc.tar
quake3.png
</files>
</option>
</component>
<cdrom id="CD 1" name="Quake 3 Arena installation CD">
Setup/BaseEF/pak0.pk3
</cdrom>
<cdrom id="CD 2" name="Quake 3 Team Arena installation CD">
Setup/missionpack/pak0.pk3
</cdrom>
</install>

File diff suppressed because it is too large Load Diff